QXmpp Version:0.7.6

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Functions Variables Enumerations Enumerator Properties Groups
Signals | Public Member Functions | List of all members
QXmppEntityTimeManager Class Reference
Managers

The QXmppEntityTimeManager class provided the functionality to get the local time of an entity as defined by XEP-0202: Entity Time. More...

`#include <QXmppEntityTimeManager.h>`

Inheritance diagram for QXmppEntityTimeManager:

## Signals

void | timeReceived (const QXmppEntityTimeIq &)
| This signal is emitted when a time response is received.

## Public Member Functions

QString | requestTime (const QString &jid)
Public Member Functions inherited from QXmppClientExtension
| QXmppClientExtension ()
virtual | ~QXmppClientExtension ()
virtual QStringList | discoveryFeatures () const
virtual QList < QXmppDiscoveryIq::Identity > | discoveryIdentities () const
virtual bool | handleStanza (const QDomElement &stanza)=0
| You need to implement this method to process incoming XMPP stanzas.
Public Member Functions inherited from QXmppLoggable
| QXmppLoggable (QObject *parent=0)

## Additional Inherited Members

Protected Member Functions inherited from QXmppClientExtension
QXmppClient * | client ()
virtual void | setClient (QXmppClient *client)

## Detailed Description

The QXmppEntityTimeManager class provided the functionality to get the local time of an entity as defined by XEP-0202: Entity Time.

## Member Function Documentation

QString QXmppEntityTimeManager::requestTime | ( | const QString & | jid | ) |

Request the time from an XMPP entity.

Parameters

  jid |

The documentation for this class was generated from the following files:

- QXmppEntityTimeManager.h
- QXmppEntityTimeManager.cpp